org.apache.catalina.tribes.util

## Class ExecutorFactory

- java.lang.Object
- - org.apache.catalina.tribes.util.ExecutorFactory

-     public class ExecutorFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static StringManager` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ExecutorService` | `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit)`
    `static ExecutorService` | `newThreadPool(int minThreads, int maxThreads, long maxIdleTime, TimeUnit unit, ThreadFactory threadFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### ExecutorFactory

          public ExecutorFactory()

  - ### Method Detail

    - #### newThreadPool

          public static ExecutorService newThreadPool(int minThreads,
                                      int maxThreads,
                                      long maxIdleTime,
                                      TimeUnit unit)

    - #### newThreadPool

          public static ExecutorService newThreadPool(int minThreads,
                                      int maxThreads,
                                      long maxIdleTime,
                                      TimeUnit unit,
                                      ThreadFactory threadFactory)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.